All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface CommentInterface

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  Comment

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface CommentInterface

extends java.rmi.Remote

A comment

Method Summary
`abstract void` | `addAttachment(java.lang.String name, java.lang.String desc, java.lang.String mimeType, java.io.InputStream content)` Add an attachment to the comment.
`abstract void` | `delete()` Delete the comment - only available to the owner of the comment group
`abstract java.lang.String` | `formatComment(java.lang.String xsl)` Format the content of the comment with the transformation
`abstract java.util.List` | `getAttachments()` Returns the list of attachments for this comment
`abstract java.lang.String` | `getAuthor()` Get the comment author
`abstract java.lang.String` | `getText()` Get the comment text
`abstract long` | `getTimestamp()` Get the comment timestamp
`abstract java.lang.String` | `getTimestamp(java.text.DateFormat dtFormat)` Get the formatted comment timestamp
`abstract boolean` | `hasAttachments()` Does the comment have an attachment?
`abstract boolean` | `isPrivate()` Returns whether this comment is private or not
`abstract void` | `setAuthor(java.lang.String author)` Sets the author for a comment.
`abstract void` | `setText(java.lang.String text)` Sets the text for a comment.
`abstract void` | `setTimeStamp(long timestamp)` Sets the timestamp for a comment.

Method Detail

### getText

    java.lang.String getText()
                             throws java.rmi.RemoteException

  Get the comment text

  Returns:
    String The comment text
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getTimestamp

    long getTimestamp()
                      throws java.rmi.RemoteException

  Get the comment timestamp

  Returns:
    long The timestamp when the comment was initially created
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getTimestamp

    java.lang.String getTimestamp(java.text.DateFormat dtFormat)
                                  throws java.rmi.RemoteException

  Get the formatted comment timestamp

  Parameters:
    `dtFormat` - A DateFormat with which to format the comment timestamp
  Returns:
    String The formatted timestamp
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getAuthor

    java.lang.String getAuthor()
                               throws java.rmi.RemoteException

  Get the comment author

  Returns:
    String The comment author
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### hasAttachments

    boolean hasAttachments()
                           throws java.rmi.RemoteException

  Does the comment have an attachment?

  Returns:
    boolean True if there are attachments, false otherwise
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getAttachments

    java.util.List getAttachments()
                                  throws java.rmi.RemoteException

  Returns the list of attachments for this comment

  Returns:
    List(of AttachmentInterface) The list of attachments for this comment
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### addAttachment

    void addAttachment(java.lang.String name,
                       java.lang.String desc,
                       java.lang.String mimeType,
                       java.io.InputStream content)
                       throws java.rmi.RemoteException

  Add an attachment to the comment. Multiple attachments can be made to each comment

  Parameters:
    `name` - A name for this attachment
    `desc` - A description for this attachment
    `mimeType` - A MIME type for this attachment
    `content` - An input stream with the content for this attachment
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### formatComment

    java.lang.String formatComment(java.lang.String xsl)
                                   throws java.rmi.RemoteException

  Format the content of the comment with the transformation

  Parameters:
    `xsl` - The XSL transformation to use to format the comment.
  Returns:
    The formatted comment string.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### delete

    void delete()
                throws java.rmi.RemoteException

  Delete the comment - only available to the owner of the comment group

  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### setText

    void setText(java.lang.String text)
                 throws java.lang.IllegalStateException,
                        java.rmi.RemoteException

  Sets the text for a comment. This method may only be called if the comment text is missing. If it has already set then an illegalStateException is thrown. The preferred method of creating a comment is to use the non-default constructor

  Parameters:
    `text` - The text for the comment
  Throws:
    `java.lang.IllegalStateException` - If the text is already been set once.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setAuthor

    void setAuthor(java.lang.String author)
                   throws java.lang.IllegalStateException,
                          java.rmi.RemoteException

  Sets the author for a comment. This method may only be called if the author is missing. If it has already set then an illegalStateException is thrown. The preferred method of creating a comment is to use the non-default constructor

  Parameters:
    `author` - The author for the comment
  Throws:
    `java.lang.IllegalStateException` - If the author has already been set once.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setTimeStamp

    void setTimeStamp(long timestamp)
                      throws java.lang.IllegalStateException,
                             java.rmi.RemoteException

  Sets the timestamp for a comment. This method may only be called if the timestamp is missing. If it has already set then an illegalStateException is thrown. The preferred method of creating a comment is to use the non-default constructor

  Parameters:
    `timestamp` - The timestamp for the comment
  Throws:
    `java.lang.IllegalStateException` - If the timestamp has already been set once.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isPrivate

    boolean isPrivate()
                      throws java.rmi.RemoteException

  Returns whether this comment is private or not

  Returns:
    boolean True if comment is private, false otherwise
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.